Create an authorization
Put a hold on a credit card balance for a certain amount.
Body·
Request arguments for POST /authorize (transaction.md lines 429-452). The table declares no types; the typed properties are inferred from the example payload and the curl example.
- Type: numberrequired
Transaction amount, in dollars, e.g. 10.99 = 10 dollars and 99 cents.
- Type: numberrequired
The double-digit month the card expires, e.g. for August, use 08.
- Type: numberrequired
Expiry year - in double digits - of the associated credit card number, e.g. for 2017, use 17.
- Type: stringrequired
The credit card number (16 digits for most card brands and 15 digits for American Express).
- Type: numberrequired
A credit card’s verification code, otherwise known as CVC or CVV; the three or four-digit number on the back of most major cards, and the four digit number found on the front of American Express cards. We strongly recommend that you utilize the cvv2 field to help protect against fraud and charge-backs.
First line of the customer address.
Second line of the customer address.
Additional email the receipt should be sent to for expense tracking or accounting needs.
The city where the customer is.
Business name associated with customer.
The country where the customer is. All country codes should be in ISO 3166 Alpha 2. For Canada, use CA. For United States, use US.
- Type: string
Transaction currency, in currency type, e.g. USD, CAD.
Responses
BAD_REQUEST. Returned when
tokenis used together with a credit card.- application/json
curl https://apigateway.payfirma.com/transaction-service/authorize \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"amount": 10.99,
"card_expiry_month": 11,
"card_expiry_year": 16,
"card_number": "4111111111111111",
"cvv2": 595
}'